-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.9.1 - PREVIEW
-------------------------------------------------------------------------------------------------------

[+] Unity engine games no longer freeze/hang if you close them before closing the trainer
[!] Fixed some achievements are not unlocked, such as stealth / health / ammo / mobile app etc (REPORTED)
[!] Fixed custom savegames can fail due to invalid path char in game name (REPORTED)
[!] Disabled timed events on steamdeck as some of them causes Aurora to crash due to Proton limitations (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.9.0
-------------------------------------------------------------------------------------------------------

[!] Fixed steamdeck 'mode' is not working (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.8.9
-------------------------------------------------------------------------------------------------------

[+] Added a menu to the 'settings button' in which you have access to more options such as:
	- Open log file
	- Open settings directory
	- Logout
	- Visit Cheathappens.com
[!] Fixed you can make update reports for retired trainers
[!] Fixed new user initial settings being incorrect (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.8.7 / 1.8.8 (Hotfix)
-------------------------------------------------------------------------------------------------------

[+] You can now fill out a trainer update report within Aurora
[+] You can now fill out a platform request within Aurora
[+] You can now hide the sponsor on home page in settings
[+] Detects if running game and Aurora not as admin is the cause for trainer fails and informs you about it
[+] Detects when restarting the game is necessary to activate the trainer
[+] Trainer changelogs are now generated by Aurora in a different way, thus the setting of show trainer changelog has been reset
[~] Decrease the size of the updater

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.8.6
-------------------------------------------------------------------------------------------------------

[+] Added option in settings to auto connect mobile on start (REQUESTED)
[~] Savegame protection has been massively reworked:
	- Instead of creating a full backup of whole savegame folder, only modified files are backed up. This saves a lot of disk space
	- It no longer fails due to trying to backup non existing (temporarily) files
	- It works now on many games which previously failed
[~] Some minor fixes and improvements on request and trainer list page
[~] Editor options can be frozen again but a warning a shown when trainer author does not recommend freezing
[!] Fixed Cosmos video overlaps dialogs on request page (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.8.5
-------------------------------------------------------------------------------------------------------

[+] In Aurora settings you can choose to use Shift+Backspace to toggle ingame overlay (REQUESTED)
[!] Fixed Microsoft gamebar overlay crashes as soon as you try to enable an option
[!] Fixed reconnecting Microsoft gamebar overlay fails
[!] Fixed Halloween event caused a FileNotFoundException error

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.8.4
-------------------------------------------------------------------------------------------------------

[~] Internal changes
[!] Fixed an issue where savegame protection creates a backup of 'my documents' or whole steam userdata folder 

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.8.3
-------------------------------------------------------------------------------------------------------

[+] Enabled 2 columns view also for editor options
[~] Internal changes
[!] Fixed when editing a hotkey the text on the hotkey dialog doesn't update (REPORTED)
[!] Fixed error on requested new game dialog (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.8.1 / 1.8.2
-------------------------------------------------------------------------------------------------------

[+] You can now search in Aurora settings to quickly find what you're looking for
[+] You can click on game version on trainer page to see if game has been updated after trainer has been released
[+] Added giveaways to home page (can be deactivated in settings)
[+] The 'Test Audio' button in settings now warns you if Windows Media Player is not installed
[+] Depending on Aurora window size the XXS mode for trainer options will now switch to a '2 columns' view for trainers with many trainer options like Starfield
	Please provide feedback: https://www.cheathappens.com/show_board2.asp?headID=153708&titleID=77044
[~] Various small UI and quality of life improvements
[~] You can now use your keyboard to deal with most message boxes
[~] 'Change hotkey' dialog shows the original hotkey now, also has a hint about removing hotkey
[~] Renamed 'Support' to 'Discord'
[!] When parsing UWP game fails it no longer writes this information constantly to log file (REPORTED)
[!] Fixed 'View Instruction' button not working if you're on any other page than trainer/editor (REPORTED)
[!] Fixed Aurora crashes when it fails to send information to mobile server (REPORTED)
[!] Fixed savegame protection stopped working on Starfield and maybe some other steam games (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.8.0
-------------------------------------------------------------------------------------------------------

[+] STEAMDECK: Aurora and trainer settings are now saved in Aurora folder. You no longer have to setup Aurora from scratch for every new game
[+] Savegame protection: You can now specify the maximum file size of savegames to keep per game. If savegames exceed this amount, the oldest savegame gets deleted
[+] The 'Support' menu will now open Discord within Aurora unless you're on Steamdeck
[+] Added a more clearly visible notice about auto activate your favorites cheats
[+] If game crashes within 10 seconds after injecting the ingame overlay you'll get a reminder to try and disable it
[+] Added command line arguments section to readme file
[+] You can now right click on a trainer hotkey and choose:
	- Reset Hotkey
	- Remove Hotkey
	- Reset All Hotkeys
	- Remove All Hotkeys
[~] When hiding trainer attachments you'll get a note about how to show it again
[~] You'll now have to confirm if you want to open a trainer attachment directly when its an unpacked executable
[~] Updated the upgrade dialog regarding offline keys
[!] Fixed possible memory leak when using Microsoft gamebar overlay (REPORTED)
[!] Fixed search bar keyboard navigation (REPORTED)
[!] Fixed 'Open in browser' button for games without any Aurora trainer
[!] Fixed trainer settings page is not scrollable (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.7.8
-------------------------------------------------------------------------------------------------------

[+] Added support for double clicking name to open a favorite trainer (REQUESTED)
[!] Fixed some smaller issues with mobile connection
[!] Fixed if mobile server connection fails you have to restart Aurora to reconnect
[!] Fixed trainer video covers part of the trainer thread popup (REPORTED)
[!] Fixed unable to open multi trainers like Mass Effect Legendary Edition on mobile app

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.7.7
-------------------------------------------------------------------------------------------------------

NOTE: Added support for new mobile app update which is now also working on STEAMDECK

[+] Updater now shows the PID of the Aurora.exe process its waiting for to shutdown
[+] Added note to trainer log when running on Steamdeck
[+] Added warning to trainer log when running on Steamdeck and target game is 32bit and uses .NET or Unity Engine
[~] 'Remember activated cheats' button now gives feedback when pressed
[!] Fixed specific cheat customization values are not restored on loading trainer settings (REPORTED)
[!] Fixed error on opening trainer when the game is multiple times in your favorites (REPORTED)
[!] Fixed some text color issue (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.7.6 - PREVIEW
-------------------------------------------------------------------------------------------------------

[+] Added workaround to address 'Module Engine: Failed checking at CreateToolhelp32Snapshot' trainer activation errors on Steamdeck (REPORTED)
[~] Removed trainer option videos
[!] Fixed laggy scrolling and slow opening of game trainers list page when game has more than 50 trainers (REPORTED)


-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.7.5
-------------------------------------------------------------------------------------------------------

[+] Added 'Open Backup Folder' button to savegame protection panel on trainer page
[+] Added symbols showing if a game has some sort of 'difficult factors' like anticheats
[~] Added note about mobile app incompatibility on Steamdeck
[~] For Steamdeck the initial start page is now 'Trainers' instead of 'Home'
[!] Fixed Cosmos button
[!] Fixed app restart on theme file selection
[!] Fixed error when opening certain trainer pages and Aurora was placed into restricted folder like 'Program Files' (REPORTED)


-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.7.3 - 1.7.4
-------------------------------------------------------------------------------------------------------

NOTE: Last warning for Windows 7 and 8.1 users, please upgrade to Windows 10 or 11


1.7.4:
[!] Fixed some trainers stopped working

1.7.3:
[+] EXPERIMENTAL: Savegame protection. Creates a backup everytime you save your game while using a trainer. So you can revert to a previous savegame. 
	- For users coming from PREVIEW, there is a new option to auto delete savegame backups older than X days
[+] EXPERIMENTAL: Aurora now detects if running on Steamdeck. In this case it automatically performs the following changes
	- Fixed Aurora login not working in Proton 7
	- Still if login fails you will get a different message that we recommend using Proton v8
	- Hardware acceleration is disabled by default (no need to use WineD3D anymore)
	- Process Watcher is disabled by default (no error message on launch)
	- It only takes a single press to open trainers from your favorite bar
	- Feature dialog on first launch is hidden
	- Remember password is pre-checked
	- Auto login is automatically enabled after first successful login
	- Sound is muted
	- On trainer list right menu is hidden so it no longer covers the 'Use trainer' button
[+] EXPERIMENTAL: Added an option to override font size. Note that we will work on applying this to all text within Aurora step by step. Until then its an experimental option. Feedback is appreciated. (REQUESTED)
[+] EXPERIMENTAL: Trainer option customization values are now restored when trainer option has been saved by 'Remember activated cheats' (REQUESTED)
[~] Visual changes to the 'list of trainers for a specific game' page:
	- Improved spacing
	- Improved trainer option video experience
	- Added trainer demonstration video
	- Added numbers of active requests to action panel
	- Improved scaling of trainer options so 'Use trainer' button stays longer on screen when you shrink the window
[~] Improved Cosmos video experience on request page
[~] Minor optimization
[~] When 'Disable hotkeys when game window isnt focused' is enabled it no longer plays 'Hotkeys (un)muted' sound every time you tab in and out
[~] Replaced the latest achievements on homepage
[~] Renamed 'Hotkey to disable all hotkeys' to 'Hotkey to deactivate all trainer options' to avoid misunderstandings (REPORTED)
[!] Fixed exception using horizontal mouse wheel
[!] Some internal trainer related fixes
[!] Fixed speedhack isn't working on some Unity engine games (REPORTED)
[!] Fixed autostart not working (you have to re-enable it)
[!] Fixed latest trainer on homepage may appear in reversed order


-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.7.1 - 1.7.3 - PREVIEW
-------------------------------------------------------------------------------------------------------

NOTE: Windows 7 and 8.1 users who experience problems, please upgrade to Windows 10 or 11

Changes from 1.7.3:
[+] EXPERIMENTAL: Aurora now detects if running on Steamdeck. In this case it automatically performs the following changes
	- Fixed Aurora login not working in Proton 7
	- Still if login fails you will get a different message that we recommend using Proton v8
	- Hardware acceleration is disabled by default (no need to use WineD3D anymore)
	- Process Watcher is disabled by default (no error message on launch)
	- It only takes a single press to open trainers from your favorite bar
	- Feature dialog on first launch is hidden
	- Remember password is pre-checked
	- Auto login is automatically enabled after first successful login
	- Sound is muted
[+] Savegame protection: Added support for EPIC games
[~] When 'Disable hotkeys when game window isnt focused' is enabled it no longer plays 'Hotkeys (un)muted' sound every time you tab in and out
[!] Fixed exception using horizontal mouse wheel
[!] Some fixes to the savegame protection ignore lists
[!] Some internal trainer related fixes
[!] Fixed speedhack isn't working on some Unity engine games
 
Changes from 1.7.2:
[+] Savegame protection
	- Added a new setting: 'Play Acoustic Feedback Only Once Per Game Session'
	- Added an option to exclude files per game from triggering savegame detection
[~] Visual changes to the 'list of trainers for a specific game' page:
	- Improved spacing
	- Improved trainer option video experience
	- Added trainer demonstration video
	- Added numbers of active requests to action panel
[~] On request page, improved Cosmos video experience
[~] Minor optimization
[!] Fixed autostart not working in some cases (for 1.7.1 users: autostart is turned OFF again)

Changes from 1.7.1:
[+] EXPERIMENTAL: Savegame protection. Auto savegame backup for currently playing Steam game. Creates a backup everytime you save your game while using a trainer. So you can revert to a previous savegame. 
[+] EXPERIMENTAL: Added an option to override font size. Note that we will work on applying this to all text within Aurora step by step. Until then its an experimental option. Feedback is appreciated. (REQUESTED)
[+] Added support for scrolling horizontal using mouse wheel (REQUESTED)
[~] Internal changes
[~] Replaced the latest achievements on homepage
[~] Renamed 'Hotkey to disable all hotkeys' to 'Hotkey to deactivate all trainer options' to avoid misunderstandings (REPORTED)
[!] Fixed latest trainer on homepage may appear in reversed order
[!] Fixed autostart not working. You need to re-enable that option in settings. (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.7.0
-------------------------------------------------------------------------------------------------------

NOTE: Although we officially don't support Windows 7 and 8.1 for quite a while. Starting with this release if you're still on one of these OS versions the risk that Aurora doesn't work anymore is getting higher and higher. Please upgrade to at least Windows 10.
NOTE: Steamdeck users may have to use Proton 8, check out the instructions from Dakkor35: https://www.cheathappens.com/show_boardpost.asp?postID=1530225

[+] Added bypass for single player anticheats
[~] Upgraded to .NET 7, getting rid of ~35 Windows 7 compatible DLL files. A fresh 'installation' is recommended
[~] Clearing 'unused' key color field do nothing to unused keys now, fixes the unwanted overwriting of key colors (REPORTED)
[~] Decreased the size of the updater
[!] Fixed retrieving game info failed for some games  (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.6.6
-------------------------------------------------------------------------------------------------------

[+] Added option to set RGB for 'unused' keys, currently Logitech keyboards only (REQUESTED)
[+] Added option to auto sort favorite trainer list (including by most recent) in Settings -> Appearance (REQUESTED)
[+] Added support for mobile app connection running on server
[~] Dropped support for local network mobile app connection
[!] Fixed zero digit key is not set on Logitech RGB
[!] Fixed steam game enumeration is skipped when one of the game library folder paths not exist (REPORTED)
[!] Fixed failed to get names for some gamepass games and exclude some non-games

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.6.4 / 1.6.5
-------------------------------------------------------------------------------------------------------

[!] Fixed several issues regarding offline mode (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.6.3
-------------------------------------------------------------------------------------------------------

[~] Show the amount of editor options on trainer page
[!] Fixed a bug in offline key validation

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.6.2
-------------------------------------------------------------------------------------------------------

[!] Fixed ingame overlay not reacting

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.6.1
-------------------------------------------------------------------------------------------------------

[+] You can now choose the local IP address Aurora uses for mobile app connection on mobile page
[+] While in offline mode, Aurora now looks for an offline trainer when you launch a game from your favorites.
[!] Fixed a bug in offline key validation

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.6.0
-------------------------------------------------------------------------------------------------------

[~] Some internal changes

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.5.9
-------------------------------------------------------------------------------------------------------

[~] Renamed RC achievements based on feedback (REQUESTED)
[!] Fixed installed steam game detection might fail in a rare situation (REPORTED)
[!] Fixed (another) crash when closing a 'multi trainer' where no trainer has been chosen (REPORTED)
[!] Fixed a mobile app related issue and add preparation for upcoming mobile app update
[!] Fixed a case where Aurora opens always a specific trainer from a 'multi trainer', for example GTA Triology (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.5.8
-------------------------------------------------------------------------------------------------------

[!] Fixed direction typo on offline trainer message (REPORTED)
[!] Fixed trainer cannot find game for Uncharted Legacy Collection - Lost Legacy (REPORTED)
[!] Fixed crash when closing a 'multi trainer' where no trainer has been chosen

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.5.7
-------------------------------------------------------------------------------------------------------

[+] The 'Check Connection' command has been improved, it also checks against cheathappens.com and google.com and a copy of the result will be saved on your desktop
[+] Added more (upcoming) events
[~] Http exceptions are automatically translated into English to make it easier for our support
[!] Fixed RC achievements
[!] Fixed trainer cannot find game when previous trainer is not explicit closed by user (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.5.5 & 1.5.6
-------------------------------------------------------------------------------------------------------

[+] Added achievements (REQUESTED)
[+] Added board support. You can now view forum posts and even reply within Aurora (REQUESTED)
[+] Added a new action on trainer page 'View Trainer Thread'
[+] Added an option to disable scanning for installed games (REQUESTED)
[~] Instead of downloading an offline trainer every 12 hours, Aurora now downloads an offline trainer when one of the following conditions are met:
	--> You have no offline trainer yet
	--> The online trainer is newer than your offline trainer
	--> Offline trainer is older than 7 days
[+] Added option to start Aurora maximized (REQUESTED)
[+] Added option to mute hotkeys when game window is not in foreground (REQUESTED) (Experimental)
[~] Removed lifetime badge on trainer list
[~] Adjusted colors to make some texts in light mode better to read
[!] Fixed sponsor name is not readable in light mode
[!] When game window handle is zero muted hotkeys sound was played multiple times even when game window focus has not changed

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.5.4
-------------------------------------------------------------------------------------------------------

[+] Updater retries to extract content when extraction failed
[+] If extraction fails 3 times, updater can bring you to the download page
[~] Improved trainer page loading speed
[!] Fixed spelling mistake on download offline trainer (REPORTED)
[!] Fixed 'Download' button for non Aurora trainers (REPORTED)
[!] Fixed the issue where when mobile app connection failed in a specific moment, Aurora got stuck on 'Mobile app connected'
[!] Fixed trainer attachments may be duplicated
[!] Fixed keyboard RGB may stuck and freeze Aurora

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.5.3
-------------------------------------------------------------------------------------------------------

[+] To make life easier you can now hold down SHIFT while opening Aurora, this lets you choose between
	--> launch with default settings, so you dont have to delete folder in %appdata% anymore
	--> --> (optional) only this time, settings won't be saved. So you can test if this would fix your issue first
	--> disable hardware acceleration
	--> reset window position
[~] Mica is now disabled by default
[~] Retries to extract Updater.exe when its blocked by antivirus (REPORTED)
[~] Moved controls/view box a bit to the left so it doesnt hide the collapse button (REPORTED)
[~] Updated readme file by adding note about SHIFT key and removing section about distribution choice as you can do the same using the back button
[~] Always show clear button on text fields (REQUESTED)
[~] Changed order on 'Recently Used' trainers page, so with sort order 'None' the most recently used game comes first
[!] Fixed/removed little space at the top which was not effected by themes
[!] Fixed when launching Aurora the first time the window size is very large
[!] Fixed trainer update queue is blank
[!] Fixed 'Freeze but allow increase/decrease' not working properly (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.5.1 / 1.5.2
-------------------------------------------------------------------------------------------------------

[+] Added support for Socks4/5 and web proxies, besides existing IE proxy support (REQUESTED)
[+] You can now get information about a game on trainers page via right click -> 'View Game Info'
[+] Added a note on trainer's ingame overlay page about xbox gamebar overlay
[+] Added a button in audio settings to play a test sound
[+] Added an indicator to the left bottom menu when volume is muted
[+] Added an indicator to the left bottom menu when hotkeys are disabled
[+] Added an option to hotkey settings to disable hotkeys for all trainers (REQUESTED)
[+] Added a button to proxy setup to test the current configuration
[+] Added optional credentials to proxy setup
[~] Changed the proxy implementation from 1.5.1 so it no longer bypass local connections and port is included in address string (REPORTED)
[~] Replaced the obsolete Cosmos box on home page with a sponsor logo
[~] Increased text and border contrast on many pages

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.5.0
-------------------------------------------------------------------------------------------------------

[!] Fixed error when trying to open a trainer via mobile app, introduced with 1.4.9 (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.4.9
-------------------------------------------------------------------------------------------------------

BREAKING CHANGE: Launching games installed by Origin is no longer supported as Origin is retired. We recommend re-installing the game using EA Desktop

[+] Added 'Back' and 'Forward' navigation. Can be disabled in settings menu (REQUESTED)
[+] Added game description / screenshots / steam link to game page (REQUESTED)
[+] Added support for 'EA Desktop' installed games
[+] You can now change between 'Freeze' and 'Freeze but allow (increase/decrease)' when you RIGHT click on the lock icon of editor options (REQUESTED)
[~] Removed hardware stats because of low interest
[~] Improved offline experience
[~] Removed aurora version from settings menu
[!] Fixed empty trainer choice page for Uncharted Legacy of Thieves Collection (REPORTED)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.4.8
-------------------------------------------------------------------------------------------------------

[~] Internal changes

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.4.7
-------------------------------------------------------------------------------------------------------

[!] Updater now retries accessing zip file when its blocked by an AV (Reported)
[!] Fixed reading voltage and power from intel CPUs

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.4.6
-------------------------------------------------------------------------------------------------------

[+] You can view your hardware stats/usage by clicking on the new graph button next to the Cosmos button
[~] Login button now shows when Aurora is waiting for server response
[~] Login will now timeout if server doesn't respond within 10 seconds, instead of waiting infinite time

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.4.5
-------------------------------------------------------------------------------------------------------

[!] Corrected the amount of RC you get on each membership

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.4.4
-------------------------------------------------------------------------------------------------------

[+] Added auto complete for game name when requesting a new trainer
[+] If the game is retired or on hold you cannot submit a trainer request (Requested)
[!] Aurora no longer crashes on start when it fails to launch mobile server (Reported)
[!] Some trainer engine bug fixes

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.4.3
-------------------------------------------------------------------------------------------------------

[+] Added Google Play Store QR code to feature landing page
[~] Editor values are automatically selected on focus (Requested)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.4.2
-------------------------------------------------------------------------------------------------------

[+] Added a 'Feature' landing page showing some of the extras you get with using Aurora
[+] Added possibility to submit a trainer option request within Aurora (Requested)
[+] Added 'Check Connection' to taskbar icon context menu
[~] 'Mute Hotkeys' has been renamed to 'Disable Hotkeys' (Requested)
[~] On trainer page 'Request Trainer Update' has been renamed to 'Request Trainer Option' (Requested)
[!] Fixed an issue where the stats of Aurora's running time are invalid, existing stats are wiped with this version

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.4.1
-------------------------------------------------------------------------------------------------------

[+] In Cosmos process window, double click on a process opens it now
[+] Added support for promo trainers
[~] Removed 'Header Foreground Color #3' from settings as its no longer used
[~] Removed the classic mobile app tab on the trainer page
[!] Fixed desktop shortcuts may not use Aurora icon
[!] Fixed an issue with offline key generation (Reported)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.4.0
-------------------------------------------------------------------------------------------------------

[+] Added trainer option videos
[+] Trainer option names are now truncated if they are too long
[!] Fixed crash on Monster Hunter Stories 2

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.3.9
-------------------------------------------------------------------------------------------------------

[~] Contains several internal changes for upcoming mobile app update

Mobile App:
[+] Added game cover to current trainer page
[+] Added distribution icons to current trainer page (only popular distributions)
[+] Added clear buttons to editor fields
[~] Editor values are applied by pressing the done button instead of while editing
[~] Minor UI adjustments
[!] Fixed freeze when trying to change an editor value
Note: This requires also mobile app update through app stores

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.3.8
-------------------------------------------------------------------------------------------------------

[+] You can now hide an installed game by right clicking on it and choose 'Hide' (Requested)
[+] You can now choose the initial startup page (Requested)
[+] The selection of the 'Sort By' function on trainers page is now remembered (Requested)
[+] The tab selection on trainers page is now remembered (Requested)
[+] You can now hide the CoSMOS button
[~] BREAKING CHANGE: The 'Remember activated cheats' has been reworked. It no longer remembers the cheats when the close the trainer. Instead there is a new button on trainer settings page to save the current state. (Requested)
[~] User requested features or changes are now marked in changelog
[!] Fixed you can open announcement dialog infinite times (Reported)

Gamebar Overlay:
[+] Added cheat instructions (Requested)
[+] Added trainer readme
[+] Added an option to show trainer hotkeys
[!] Fixed editor values in gamebar overlay are not getting updated (Reported)
[!] Fixed cheats in gamebar overlay are not getting updated when triggered in Aurora instead by overlay (Reported)
NOTE: This requires version 1.1.0 of the gamebar overlay through MS Store

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.3.7
-------------------------------------------------------------------------------------------------------

[~] Adjusted hyperlink color in announcement text
[!] Fixed gamebar overlay connection failed

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.3.6
-------------------------------------------------------------------------------------------------------

[+] Added the possibility to perform an automated rollback to a previous aurora version
[!] Fixed Aurora freezes on trainer activation (caused by 1.3.5 update)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.3.5
-------------------------------------------------------------------------------------------------------

[+] You can sort offline trainers by last updated / last added which sorts them by last file modified / file creation date
[~] MAJOR CHANGE: You no longer have to disable network adapters to enter offline mode. However its highly recommended you read the updated instructions in the readme file, especially the Q&A part.
[~] Replaced feedback with upgrade membership button (except for Lifetime users)
[~] You can reopen the latest news window
[~] Internal changes for upcoming Gamebar overlay
[~] Adjusted trainer readme color and font size based on feedback

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.3.4
-------------------------------------------------------------------------------------------------------

[+] Added smooth scrolling to 'Trainers' page lists
[+] BREAKING CHANGE: Clicking on installed game will now also open the trainer (if available). If the trainer for this game is on the favorite list, it will open your favorite trainer, otherwise it will open the latest trainer.
[+] Added two context menu items for installed games to only launch game or only open trainer
[~] The header menu width is now dynamical and collapse if window gets shrunk
[~] Decreased minimum Aurora window width
[~] Aurora Logo and version is now permanently visible
[~] If you have chosen to not open the trainer on process watcher dialog, you will not get ask again for this game next time
[~] Internal changes for upcoming Gamebar overlay
[!] Fixed game title exceeds available width on trainer selection page

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.3.3
-------------------------------------------------------------------------------------------------------

[~] Speed up loading of home page
[~] Installed games list improvements
[!] Fixed some potential memory leaks

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.3.2
-------------------------------------------------------------------------------------------------------

[!] Fixed installed games list is empty if no filter is applied
[!] Fixed an issue about offline key

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.3.1
-------------------------------------------------------------------------------------------------------

[+] Added a new tab to 'Trainers' page which shows your installed games
[+] You can now execute multiple cheats with single hotkey
[~] Downloading an offline trainer should be faster now for most people
[~] If SSL verification failed on auto update it will tell you to download Aurora from the website instead of pointing to the log file
[!] Fixed an error when trying to download an offline trainer
[!] Fixed new trainer options sometimes have same hotkeys than existing cheats
[!] Fixed downloading a specific trainer from favorites downloaded latest trainer instead

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.3.0
-------------------------------------------------------------------------------------------------------

[+] Improved support for the upcoming new mobile app
[!] Fixed an issue where not all installed steam game were detected (i.e. installed by a different steam account)
[!] Fixed a situation when loading a trainer fails user is stuck in a loading animation loop

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.2.9
-------------------------------------------------------------------------------------------------------

[+] Added support for the upcoming new mobile app
[+] Added a notice when a trainer has no trainer but editor options only
[+] Added a new 'Purchased' tab to 'Trainers' page
[~] On home page changed popular to free trainers this week
[!] Fixed some minor bugs
[!] Fixed editor options which uses a list, the list was not sorted alphabetically
[!] Fixed closing the 'Trainer has special instructions / attachments' bar is not saved
[!] Fixed closing a trainer wasn't properly working (introduced with 1.2.8)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.2.8
-------------------------------------------------------------------------------------------------------

[!] Fixed error when marking a trainer as favorite which has been opened outside of Aurora

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.2.7
-------------------------------------------------------------------------------------------------------

[+] When you mark a trainer as favorite you will get asked if you want to get the latest or THIS specific trainer
[+] An Aurora update is now verified to be the same version as online to avoid endless update loop
[~] Switched Aurora update download server
[!] If a new Aurora update is available you will only get asked once about updating now (for real this time)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.2.6
-------------------------------------------------------------------------------------------------------

[+] You can now login as a guest without a Cheathappens account
[~] The 'please enter a valid email address' only shows up when its invalid and you click on the login button
[!] Fixed few games don't show a trainer
[!] Fixed standalone trainers shown as favorite when they are not

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.2.5
-------------------------------------------------------------------------------------------------------

[+] You can now add standalone trainers to your favorite list
[+] When pressing the 'Launch Game' button and you don't have the path specified, Aurora checks your installed games for a possible match
[!] Fixed launching standalone trainers may fail
[!] Fixed unchecking 'Remember my platform choice' is bugged
[!] Fixed cannot click on tracked trainers

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.2.4
-------------------------------------------------------------------------------------------------------

[+] Added a new option under 'Appearance' to always open Aurora main window at the center of your screen
[~] Clicking on 'Boost Update Priority' now also redirects to the request page instead of opening the website
[~] Reduced width of the date column in trainer queue
[!] On 'Trainers' page you can now also click on a game cover while holding down CTRL
[!] Fixed unchecking 'Remember my platform choice' is not saved
[!] Fixed 'Remember my platform choice' skips multi trainer selection when they're for different games

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.2.3
-------------------------------------------------------------------------------------------------------

[+] Added trainer queue to 'Requests' page
[+] Added search to the special thanks list
[+] Adding a visual feedback if email address on login is invalid as some users tried to login with username instead
[~] Replaced the 'No offline key found' with a more helpful message
[~] Extended logging on mobile connection failures
[!] Fixed a bug where you still get asked for selecting distribution multiple times
[!] If a new Aurora update is available you will only get asked once about updating now
[!] Fixed an issue where trainer rating is not applied correctly

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.2.2
-------------------------------------------------------------------------------------------------------

[+] Expanding favorite bar is now animated
[+] Showing a hint explaining how to add a trainer to favorites to 'new' users
[~] Settings are saved more often than just on exit
[~] Remember platform choice checkbox is now centered
[~] The overall trainer rating is now displayed with heart icons (again)
[~] Cheat customizations with a slider are more precise now

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.2.1
-------------------------------------------------------------------------------------------------------

[+] Added Aurora version to 'Settings->Misc'
[+] Added 'Clear favorites' context menu item
[+] Added 'Reset hotkeys' to trainer settings
[~] If all trainers for a game support the same distributions you will no longer get asked to select one
[~] If you selected a distribution and 'Remember my choice' was checked it will auto select the same distribution on multi trainers
[~] If window is out of screen, Aurora first tries to put it back to center. If that doesn't help it resizes the window. Last try move it to top left.
[!] Fixed you can open the notification message multiple times
[!] Fixed clean temp files button
[!] Fixed launching from favorites doesn't respect the game distribution
[!] Fixed switching trainer options view mode sometimes does not work
[!] Fixed an issue where main window would appear out of screen
[!] Fixed an issue where main window would not get moved back into screen area on high DPI scale settings
[!] Fixed an issue where offline key crashes Aurora

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.2.0
-------------------------------------------------------------------------------------------------------

[+] Added game status (on hold, etc)
[+] Trainer option view mode is now remembered
[~] The initial start should be faster and use less bandwidth
[!] Fixed controller hotkeys
[!] Fixed title on 'Boards' trainer page is not aligned to the left

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.1.9
-------------------------------------------------------------------------------------------------------

[+] Added a third cheat option view mode: Compact mode
[+] If main window has keyboard focus you can now press Ctrl+Shift+Alt+R to put the window into the center of the current monitor
[+] Or you can just right click on the taskbar icon and click on the new button called 'Reset Window Position' 
[+] Added Q&A to the readme file

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.1.8
-------------------------------------------------------------------------------------------------------

[!] Fixed a hard crash that may occur when trainer is in background in Aurora itself
[!] Fixed crash when clicking on Cosmos introduced by 1.1.7

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.1.7
-------------------------------------------------------------------------------------------------------

[+] You can now clear recent trainer list or remove single trainer from the list
[!] Fixed a request with negative credits needed amount is not shown as 'funded'
[!] Fixed a couple of reported issues

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.1.6
-------------------------------------------------------------------------------------------------------

[+] You can now freeze editor option values
[+] Added a welcome message to new users
[+] Updated readme requirements section for people running Windows 8.1 or earlier
[~] When a 'UCEERR_RENDERTHREADFAILURE' error is thrown, Aurora will disable HW acceleration and inform the user
[~] For the most common exceptions Aurora tells the user what's the problem
[!] Fixed trainer is not switching to debug tab on error
[!] Removed unnecessary second error message when deleting standalone trainer failed
[!] Fixed an exception when checking for updates times out
[!] Fixed a bunch of reported issues

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.1.5
-------------------------------------------------------------------------------------------------------

[+] Integrated Cosmos
[+] Added an option to remember all activated cheats (per trainer, so you can find this in trainer settings)
[+] You can now collapse cheat groups
[+] You can now expand the trainer option view
[~] Improved trainer loading speed when launched from favorite and no offline trainer download is necessary
[~] Removed background on favorite trainer images
[!] Fixed crash on login when access to UWP manifest file is blocked
[!] Fixed save/load of trainer's speed option value
[!] Fixed closing trainer while game is running doesn't properly reset trainer injections
[!] Fixed main window not centered on first start
[!] Fixed a crash when periodically checking for updates fails
[!] Fixed a crash after login when using offline login

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.1.4
-------------------------------------------------------------------------------------------------------

[~] Only some internal changes for public release

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.1.3
-------------------------------------------------------------------------------------------------------

[+] Added a special thanks to our kickstarter supporters page
[+] Added more cheat group icons
[+] You can now (un)track a game in 'Trainers' page via right click
[~] Fixed game title spacing on trainers page when its a very long title
[!] Fixed keyboard RGB issue on Logitech devices

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.1.2
-------------------------------------------------------------------------------------------------------

[+] Added sorting favorites by alpha only once (right click on the list, not on an item from the list)
[~] Header background image is now slightly faded out on all directions
[!] Fixed header background image is not applied

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.1.1
-------------------------------------------------------------------------------------------------------

[+] Favorite list is now scrollable
[+] Added an option to hide the search button
[+] Added an option to disable the process watcher
[+] Added an option to disable automatically downloading offline trainers
[+] Added expander for favorite list
[+] Added username below the avatar
[~] When opening the 'Trainers' page the search field has now keyboard focus
[!] Fixed Mica effect overlapped taskbar when maximized and Windows 11 resize animation hasn't played
[!] Fixed an error when reading invalid UWP manifest files

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.1.0
-------------------------------------------------------------------------------------------------------

[+] Added one-time message for new people trying to download a standalone trainer from within Aurora
[+] You can reorder your favorite list now with drag and drop
[~] Improve performance of 'Home' page (removed micro stuttering on loading)
[~] Improve performance of 'Trainers' page and reduces its memory usage when not visible
[~] Re-Opening the 'Trainers' page will always start on default view now
[~] Changed the status icon of the notification symbol if a new message is available
[~] Updated the readme with 'Favorites' section and mentioning that Aurora requires a full HD resolution
[~] Changed the way favorite icons are rendered
[~] Several small UI adjustments
[!] Fixed bug where 'Trainers' page would only show the first game
[!] Fixed EPIC filter
[!] Fixed deleting offline trainers
[!] Fixed desktop shortcut creation fails on games where the name contains illegal path characters
[!] Fixed some UI glitches on trainers page

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.0.9
-------------------------------------------------------------------------------------------------------

[+] Added scaling of ingame overlay via Ctrl+Shift+Page Up to increase and Ctrl+Shift+Page Down to decrease
[~] Due to incorrect versioning of 1.0.7 release, only after this update all 1.0.8 changes apply for most people

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.0.8
-------------------------------------------------------------------------------------------------------

[~] Changed default (no avatar) avatar image
[!] Fixed several keyboard RGB related issues
[!] Fixed EPIC filter
[!] Fixed reset trainer button not working on specific trainers
[!] Fixed main menu is not visible for first time users

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.0.7
-------------------------------------------------------------------------------------------------------

[+] Added 'Requests' page
[+] You can now rate a trainer within Aurora
[+] Added header customization (background, foreground + background image) + import/export to file
[+] Added a tooltip to the favorite button
[+] Added 'Remove from favorites' to context menu of a favorite game on the left list
[+] Added an option to auto login
[+] Added an option to change controller trigger
[+] Added your current RC balance below your avatar
[+] Added prompt to restart Aurora when Mica or Darkmode setting has changed
[+] Added a new button next to 'Mark as favorite' which notifies you about a trainer update while you are using the trainer
[+] Added an option to disable hardware acceleration
[+] Added an option to opt-in into preview versions
[~] Set fixed height and width for Changelog window
[~] Adjusted foreground color in dark mode making text easier to read
[~] Editor options are now scrollable also when trainer isn't activated
[~] The home page scales with the window size now to better support higher resolutions
[!] Fixed styling of changelog window
[!] Fixed minor memory leaks
[!] Fixed main window opens maximized after it was closed on second monitor on left side

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.0.6
-------------------------------------------------------------------------------------------------------

[!] Fixed an error when using ingame overlay on a trainer without trainer options
[!] Fixed broken search introduced by 1.0.5 update

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.0.5
-------------------------------------------------------------------------------------------------------

[+] Added 'Clean Temp Files' button to settings -> standalone trainers page
[+] Added filter trainer list by Steam/Gog/Epic/Gamepass support
[~] Avatars are only downloaded when you choose to pick a new one instead of everytime you open the settings page
[!] Fixed some issues with maximized window on second monitors

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.0.4
-------------------------------------------------------------------------------------------------------

[+] Improved game search function. Multiple words no longer have to be part of the game name as a single string. I.e. previously a search of 'Call warfare' gave no results. Now it does.
[+] Added a button to open the website for games without compatible trainers
[!] Fixed 'Remember my choice' is shown for games without compatible trainers
[!] Fixed closing game while running trainer doesn't reset trainer status (for real this time)

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.0.3
-------------------------------------------------------------------------------------------------------

[+] Added 'Delete trainer from disk' context menu for offline/standalone trainers
[+] Added 'Open' button to trainer attachments if attachment is a RAR or ZIP file
[+] Showing notification for lifetime+ trainers if membership is insufficient
[~] Improved rendering performance and lowered memory usage
[~] Adjusted element spacing on items in 'Trainers' page
[!] Fixed download standalone trainer button color in white mode
[!] Fixed maximizing window in second monitor makes the window disappear

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.0.2
-------------------------------------------------------------------------------------------------------

[+] Added a close active trainer button to the top left
[~] Reworked scaling experience for users with high DPI scaling, lowered minimum window height
[~] Hide launch game button if game is running
[!] Fixed a crash on reading invalid EPIC manifest file
[!] Fixed closing game while running trainer doesn't reset trainer status

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.0.1
-------------------------------------------------------------------------------------------------------

[~] Adjusted messagebox foreground color, fontsize and distance to window border
[~] Adjusted cheat option tooltip foreground color, initial showup delay and max width
[~] Some theme adjustments
[!] Fixed messagebox text is not wrapped
[!] Fixed several issues regarding window size/position
[!] Fixed maximize window overlaps taskbar

-------------------------------------------------------------------------------------------------------
Aurora Changelog 1.0.0
-------------------------------------------------------------------------------------------------------

Initial release